Subject: Re: [pcp] using Dynamic DNS Update with PCP

From: RJ Atkinson <[email-masked]>
Date: Tue, 1 Nov 2011 09:40:38 -0400

> I have a concern about using (dynamic) DNS is this context:
> 	DNS answers are cached, in fact even with TTL=0
> 	by most applications, so it doesn't survive
> 	a CGN address or port renumbering from a reboot.

Some applications ignore the DNS TTL.  Other applications
don't have access to the DNS TTL value (e.g. due to API
limitations on particular platforms).  Yet other applications 
honour the DNS TTL value, either directly or by relying 
on some system-specific DNS API that honours the DNS TTL 
value.

There is wide variance in current deployed practice.
So I don't think the word "most" in the quoted text 
above is really accurate.

Separately, Secure Dynamic DNS Update (RFC-3007) is very
widely supported today in widely deployed operating systems
(e.g. Microsoft Windows, MS Windows Server, Apple MacOS X,
and open-source implementations for UNIX/LINUX/BSD).

> Note this is not an issue for the now traditional DHCP+DDNS used
> for nomadism because in that context the nomad server releases/
> deregisters before being shutdowned and no longer available for
> a delay greater than the DNS lifetime, i.e., in the rare cases
> a nomad computer provides a service this can be done in a
> secure way. This is not the case for a server behind a CGN
> which doesn't enforce mapping stability using for instance
> stable storage.

I find the paragraph above confusing, because it appears 
to directly contradict the quoted text at the top -- and
both quotes are from the same author in the same email.

Either the applications are caching in violation of the 
DNS specifications and the DNS TTL (as suggested in quoted
text at top) or the applications aren't.  If the applications 
are ignoring the DNS specifications, they will ignore them 
all the time.  As with any protocol violation, violations
of the DNS protocol specifications could be problematic in
some (many ?) operational scenarios.  

IMHO, IETF standards ought to ignore broken/non-compliant 
implementations of DNS, just as they ignore broken/non-compliant 
implementations of other IETF protocol standards/specifications.
I don't see any argument that the PCP WG should approach
broken/non-compliant implementations differently than the
rest of the IETF.

So I think it is quite reasonable for one to use Dynamic DNS
in deployments where PCP also is in use.

Yours,

Ran